select CFV.BOUND_ENTITY_ID,
       CFV.FIELD_TYPE,
       CF.LABEL,
       case when CFV.FIELD_TYPE!='RTF'then CFV.VALUE else CFV.LARGE_VALUE end as value,
	   CF.INPUT_TYPE
from CUSTOM_FIELD_VALUE CFV
join CUSTOM_FIELD CF on CFV.CF_ID = CF.CF_ID
join CUSTOM_FIELD_BINDING CFB on CFB.CFB_ID = CFV.CFB_ID
where CFV.BOUND_ENTITY_ID in (:versionIds)
and CFV.BOUND_ENTITY_TYPE in ('REQUIREMENT_FOLDER', 'REQUIREMENT_VERSION')
and CFV.FIELD_TYPE != 'TAG'
GROUP BY CFV.CFV_ID, CF.LABEL, CF.INPUT_TYPE, CFV.BOUND_ENTITY_TYPE, CFB.POSITION, CFV.BOUND_ENTITY_ID
order by CFV.BOUND_ENTITY_ID, CFB.POSITION
